DF(1)

NAME
df - report free disk space on file systems

SYNOPSIS
df [ -i ] [ -t type ] [ filesystem ... ] [ filename ... ]

DESCRIPTION
df displays the amount of disk space occupied by currently mounted file systems, the amount of used and available space, and how much of the file system's total capacity has been used. Used without arguments, df reports on all mounted file systems, producing something like:

	tutorial% df
	Filesystem    kbytes    used   avail capacity  Mounted on
	/dev/zd0a       7735    6231     730    90%    /
	/dev/zd1a       7735     491    6470     7%    /tmp

Note that used+avail is less than the amount of space in the file system (kbytes); this is because the system reserves a fraction of the space in the file system to allow its file system allocation routines to work well. The amount reserved is typically 10%; this may be adjusted using tunefs(8). When all the space on a file system except for this reserve is in use, only the super-user can allocate new files and data blocks to existing files. When a file system is overallocated in this way, df may report that the file system is more than 100% utilized.

If arguments to df are disk partitions (for example, /dev/zd0a) or UNIX path names, df produces a report on the file system containing the named file. Thus ``df .'' shows the amount of space on the file system containing the current directory.

If a -1 appears in a given field then that information is not available for that filesystem.

OPTIONS

-i  Report the number of used and free inodes.

-t type
    Report on file systems of a given type (for example, nfs or 4.2).

FILES
/etc/mtab    list of currently mounted filesystems

SEE ALSO
du(1), mtab(5), fstab(5), icheck(8), quot(8)